Bug 2026484 (CVE-2021-4023) - CVE-2021-4023 kernel: Improper IO-uring request cancellation operation allows local users to cause a crash
Summary: CVE-2021-4023 kernel: Improper IO-uring request cancellation operation allows...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-4023
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2026810
Blocks: 2026547 2026790
TreeView+ depends on / blocked
 
Reported: 2021-11-24 19:57 UTC by Pedro Sampaio
Modified: 2022-03-01 17:42 UTC (History)
42 users (show)

Fixed In Version: kernel 5.15rc1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the io-workqueue implementation in the Linux kernel. The kernel can panic when an improper cancellation operation triggers the submission of new io-uring operations during a shortage of free space. This flaw allows a local user with permissions to execute io-uring requests to possibly crash the system.
Clone Of:
Environment:
Last Closed: 2021-11-26 15:54:34 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-11-24 19:57:30 UTC
A flaw was found in the io-workqueue implementation in the Linux kernel. The kernel can panic when an improper cancellation operation triggers the submission of new io-uring operations during  a shortage of free space.   This allows a local user with permissions to execute io-uring requests to possible crash the system.

Statement:

Red Hat has not implemented io-uring in any shipping products however it appears to be enabled in the Fedora Project.

References:

https://git.kernel.dk/cgit/linux-block/commit/?h=io_uring-5.15&id=713b9825a4c47897f66ad69409581e7734a8728e
https://lkml.org/lkml/2021/9/8/64

Comment 5 Wade Mealing 2021-11-26 01:32:24 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2026810]

Comment 6 Product Security DevOps Team 2021-11-26 15:54:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-4023

Comment 7 Justin M. Forbes 2021-11-29 17:33:23 UTC
This was fixed for Fedora with the 5.14.6 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.